org.keycloak.storage

## Enum CacheableStorageProviderModel.CachePolicy

- java.lang.Object
- - java.lang.Enum<CacheableStorageProviderModel.CachePolicy>
  - - org.keycloak.storage.CacheableStorageProviderModel.CachePolicy

- All Implemented Interfaces:
    Serializable, Comparable<CacheableStorageProviderModel.CachePolicy>
  Enclosing class:
    CacheableStorageProviderModel

      public static enum CacheableStorageProviderModel.CachePolicy
      extends Enum<CacheableStorageProviderModel.CachePolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `EVICT_DAILY`
    `EVICT_WEEKLY`
    `MAX_LIFESPAN`
    `NO_CACHE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheableStorageProviderModel.CachePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CacheableStorageProviderModel.CachePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CACHE

          public static final CacheableStorageProviderModel.CachePolicy NO_CACHE

    - #### DEFAULT

          public static final CacheableStorageProviderModel.CachePolicy DEFAULT

    - #### EVICT_DAILY

          public static final CacheableStorageProviderModel.CachePolicy EVICT_DAILY

    - #### EVICT_WEEKLY

          public static final CacheableStorageProviderModel.CachePolicy EVICT_WEEKLY

    - #### MAX_LIFESPAN

          public static final CacheableStorageProviderModel.CachePolicy MAX_LIFESPAN

  - ### Method Detail

    - #### values

          public static CacheableStorageProviderModel.CachePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheableStorageProviderModel.CachePolicy c : CacheableStorageProviderModel.CachePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheableStorageProviderModel.CachePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 JBoss by Red Hat. All rights reserved.